<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8"/>
<xsl:key name="TaskNum" match="RunningTask" use="@i"/>
<xsl:variable name="title">Events Table</xsl:variable>
<!-- ======================================================== -->
<!-- role: Root template -->
<xsl:template match="/">
<html>
<head>
<xsl:comment>Generated by 
xslt version <xsl:value-of select="system-property('xsl:version')"/>
<xsl:value-of select="system-property('xsl:vendor')"/>
<xsl:value-of select="system-property('xsl:vendor-url')"/>
using xsl stylesheet "EventsTable.xsl"
</xsl:comment>
<title><xsl:value-of select="$title"/></title>
<link rel="stylesheet" type="text/css" href="event_table.css"/>

</head>
<body>
<h1><xsl:value-of select="$title"/></h1>
<xsl:apply-templates/>
</body>
</html>
</xsl:template>
<!-- ======================================================== -->
<!-- role: -->
<xsl:template match="EventTable">
<table border="1">
<thead>
<tr><th>CPU</th>
<xsl:for-each select="Processor">
<th><xsl:value-of select="Name"/></th>
</xsl:for-each>
</tr></thead>
<tbody>
<!-- Loop on distinct values of RunningTask/@i) -->
<xsl:for-each select="//RunningTask[count(.|key('TaskNum',@i)[1])=1]">
<xsl:sort data-type="number" select="@i"/>
<tr><th><xsl:value-of select="@i"/></th>
<!-- Loop on all processors, filling cells -->
<xsl:variable name="i" select="@i"/>
<xsl:for-each select="//Processor">
<xsl:variable name="t" select="key('TaskNum',$i)[../Name=current()/Name]"/>
<td><xsl:value-of select="$t/text()"/></td>
</xsl:for-each>
</tr>
</xsl:for-each>
</tbody>
</table>
</xsl:template>
<!-- ======================================================== -->

</xsl:stylesheet>

 <!--  xsl link: <?xml-stylesheet type="application/xml" href="" ?> -->



