<?xml version="1.0" encoding="iso-8859-1"?>
<!-- ======================================================== -->
<!-- 
Ce document permet de rcrire un xml du type event_table,
de faon plus facile  exploiter: 
- les indices figurant initialement dans le 
texte de l'element, sont transforms en attributs, et
- les espaces redondants sont supprims.
- Les lments sont renomms version camel pour eviter toute 
confusion avec les documents d'origine 
-->
<!-- @applies-to : event_table                              -->
<!-- @author : Michelle Baert, copyright 2006                        -->
<!-- @created : 2006-05-12 08:07                        -->
<!-- @version : $Id -->
<!-- ======================================================== -->
<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!-- ======================================================== -->
  <xsl:output method="xml" indent="yes"/>
  <!-- ======================================================== -->
<xsl:template match="/">
<xsl:processing-instruction name="xml-stylesheet">
type="text/xsl" href="EventsTable.xsl"</xsl:processing-instruction>
<xsl:apply-templates/>
</xsl:template>

<!-- ======================================================== -->
<xsl:template match="event_table">
    <EventTable>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </EventTable>
  </xsl:template>
<!-- ======================================================== -->
  <xsl:template match="processor">
    <Processor>
      <xsl:copy-of select="@*"/>
      <xsl:apply-templates/>
    </Processor>
  </xsl:template>
<!-- ======================================================== -->
<xsl:template match="name">
    <Name>
      <xsl:value-of select="normalize-space(.)"/>
    </Name>
 </xsl:template>
<!-- ======================================================== -->
  <xsl:template match="start_of_task_capacity">
    <xsl:variable name="s" select="normalize-space(.)"/>
    <StartOfTaskCapacity i="{substring-before($s,' ')}">
      <xsl:value-of select="substring-after($s,' ')"/>
    </StartOfTaskCapacity>
  </xsl:template>  
<!-- ======================================================== -->
  <xsl:template match="end_of_task_capacity">
    <xsl:variable name="s" select="normalize-space(.)"/>
    <EndOfTaskCapacity i="{substring-before($s,' ')}">
      <xsl:value-of select="substring-after($s,' ')"/>
    </EndOfTaskCapacity>
  </xsl:template>  
<!-- ======================================================== -->
  <xsl:template match="write_to_buffer">
    <xsl:variable name="s" select="normalize-space(.)"/>
    <WriteToBuffer i="{substring-before($s,' ')}">
      <xsl:value-of select="substring-after($s,' ')"/>
    </WriteToBuffer>
  </xsl:template>  
<!-- ======================================================== -->
  <xsl:template match="read_from_buffer">
    <xsl:variable name="s" select="normalize-space(.)"/>
    <ReadFromBuffer i="{substring-before($s,' ')}">
      <xsl:value-of select="substring-after($s,' ')"/>
    </ReadFromBuffer>
  </xsl:template>  
<!-- ======================================================== -->
  <xsl:template match="running_task">
    <xsl:variable name="s" select="normalize-space(.)"/>
    <RunningTask i="{substring-before($s,' ')}">
      <xsl:value-of select="substring-after($s,' ')"/>
    </RunningTask>
  </xsl:template>  
<!-- ======================================================== -->
  <xsl:template match="task_activation">
    <xsl:variable name="s" select="normalize-space(.)"/>
    <TaskActivation i="{substring-before($s,' ')}">
      <xsl:value-of select="substring-after($s,' ')"/>
    </TaskActivation>
  </xsl:template>  
<!-- ======================================================== -->
  <xsl:template match="send_message">
    <xsl:variable name="s" select="normalize-space(.)"/>
    <SendMessage i="{substring-before($s,' ')}">
      <xsl:value-of select="substring-after($s,' ')"/>
    </SendMessage>
  </xsl:template>  
<!-- ======================================================== -->
  <xsl:template match="receive_message">
    <xsl:variable name="s" select="normalize-space(.)"/>
    <ReceiveMessage i="{substring-before($s,' ')}">
      <xsl:value-of select="substring-after($s,' ')"/>
    </ReceiveMessage>
  </xsl:template>  
<!-- ======================================================== -->
  <xsl:template match="allocate_resource">
    <xsl:variable name="s" select="normalize-space(.)"/>
    <AllocateResource i="{substring-before($s,' ')}">
      <xsl:value-of select="substring-after($s,' ')"/>
    </AllocateResource>
  </xsl:template>  
<!-- ======================================================== -->
  <xsl:template match="release_resource">
    <xsl:variable name="s" select="normalize-space(.)"/>
    <ReleaseResource i="{substring-before($s,' ')}">
      <xsl:value-of select="substring-after($s,' ')"/>
    </ReleaseResource>
  </xsl:template>  
<!-- ======================================================== -->
  <xsl:template match="wait_for_resource">
    <xsl:variable name="s" select="normalize-space(.)"/>
    <WaitForResource i="{substring-before($s,' ')}">
      <xsl:value-of select="substring-after($s,' ')"/>
    </WaitForResource>
  </xsl:template>  
<!-- ======================================================== -->

</xsl:stylesheet>




